Loading...
Searching...
No Matches
opencc::Segments Class Reference
OpenCC C++ Comprehensive API

Segmented text. More...

`#include <src/Segments.hpp>`

## Classes

class | iterator

## Public Member Functions

| Segments (std::initializer_list< const char * > initList)
| Segments (std::initializer_list< std::string > initList)
void | AddSegment (const char *unmanagedString)
void | AddSegment (const std::string &str)
void | AddSegment (std::string_view sv)
const char * | At (size_t cursor) const
size_t | Length () const
iterator | begin () const
iterator | end () const
std::string | ToString () const
std::vector< std::string > | ToVector () const

## Detailed Description

Segmented text.

The documentation for this class was generated from the following file:

- Segments.hpp